Bug 199404 - Package cvs lacks IPv6 support
Package cvs lacks IPv6 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-19 07:32 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 09:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch w/o proxy support (11.78 KB, patch)
2006-07-28 08:58 EDT, Martin Stransky
no flags Details | Diff
proposed patch with proxy support (12.51 KB, patch)
2006-07-28 08:59 EDT, Martin Stransky
no flags Details | Diff

  None (edit)
Description Peter Vrabec 2006-07-19 07:32:54 EDT
This bug was reported in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be 
ready for IPv6.
                        
This package seems to lack IPv6 support as is illustrated in attached log.
cvs-1.11.21-proxy.patch:     sock = socket (AF_INET, SOCK_STREAM, 0);
cvs-1.11.22/emx/config.h:/* #undef HAVE_LIBINET */
cvs-1.11.22/os2/config.h:#undef HAVE_LIBINET
cvs-1.11.22/src/client.c:    name->sin_family = AF_INET;
cvs-1.11.22/src/client.c:    sock = socket (AF_INET, SOCK_STREAM, 0);
cvs-1.11.22/src/client.c:    s = socket (AF_INET, SOCK_STREAM, 0);
cvs-1.11.22/src/client.c.proxy:    name->sin_family = AF_INET;
cvs-1.11.22/src/client.c.proxy:    sock = socket (AF_INET, SOCK_STREAM, 0);
cvs-1.11.22/src/client.c.proxy:    s = socket (AF_INET, SOCK_STREAM, 0);
cvs-1.11.22/windows-NT/stamp-ch:#undef HAVE_LIBINET
cvs-1.11.22/windows-NT/config.h:#undef HAVE_LIBINET
cvs-1.11.22/windows-NT/config.h.in:#undef HAVE_LIBINET
cvs-1.11.22/windows-NT/rcmd.c:      sai->sin_family = AF_INET;
cvs-1.11.22/windows-NT/rcmd.c:      assert (e->h_addrtype == AF_INET);
cvs-1.11.22/windows-NT/rcmd.c:      sai->sin_family = AF_INET;
cvs-1.11.22/windows-NT/rcmd.c:    client_sai.sin_family = AF_INET;
cvs-1.11.22/windows-NT/rcmd.c:        if ((s = socket (PF_INET, SOCK_STREAM, 0)) == 
INVALID_SOCKET)
cvs-1.11.22/zlib/contrib/delphi2/d_zlib.bpr:  NMFAST35.bpi INETDB35.bpi INET35.bpi 
VCLMID35.bpi
cvs-1.11.22/zlib/contrib/delphi2/zlib32.bpr:  NMFAST35.bpi INETDB35.bpi INET35.bpi 
VCLMID35.bpi
cvs-1.11.22/zlib/contrib/delphi2/zlib.bpr:  NMFAST35.bpi INETDB35.bpi INET35.bpi 
VCLMID35.bpi
cvs-1.11.22/vms/rcmd.c:  remote_isa.sin_family = AF_INET;
cvs-1.11.22/vms/rcmd.c:  local_isa.sin_family = AF_INET;
cvs-1.11.22/vms/rcmd.c:  s = socket(AF_INET, SOCK_STREAM, 0);
Comment 1 Peter Vrabec 2006-07-19 07:37:14 EDT
I have found patch, that may help solve this issue
http://cvs.pld.org.pl/SOURCES/cvs-ipv6.patch?r1=1.1&r2=1.2
Comment 2 Martin Stransky 2006-07-27 05:50:21 EDT
http://cvs.pld.org.pl/SOURCES/cvs-ipv6.patch?rev=1.2
better one
Comment 3 Martin Stransky 2006-07-27 05:54:13 EDT
the next one
http://www.freshports.org/devel/cvs+ipv6
Comment 4 Martin Stransky 2006-07-28 08:58:33 EDT
Created attachment 133233 [details]
proposed patch w/o proxy support
Comment 5 Martin Stransky 2006-07-28 08:59:12 EDT
Created attachment 133234 [details]
proposed patch with proxy support
Comment 6 Martin Stransky 2006-07-28 09:08:20 EDT
fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.